tcl3270(1)

NAME
tcl3270 - IBM host access tool

SYNOPSIS
tcl3270 [script [script-arg...]] [-- [tcl3270-options] [s3270-options] [host]
tcl3270 [script [script-arg...]] [-- [tcl3270-options] [s3270-options] [session-file.tcl3270]
tcl3270 -v
tcl3270 --help

DESCRIPTION
tcl3270 opens a telnet connection to an IBM host, then allows a Tcl script to control the host login session. It is derived from s3270(1), a script-based IBM 3270 emulator.

For each action supported by s3270, tcl3270 defines a correcponding Tcl command. The result of the Tcl command is the output of the s3270 action. If the output is one line, the result is a string. If the output is multiple lines, the result is a list of strings.

On the command line, a session file can be named either name.tcl3270 or name.s3270. Resource values, such as those used in -xrm options or in a session file, can be specified as tcl3270.resource or s3270.resource.

TCL3270-SPECIFIC OPTIONS

-d  Turns on debugging information, tracing data going between tcl3270 and s3270.

SEE ALSO
s3270(1)

WIKI
Primary documentation for tcl3270 is on the x3270 Wiki, https://x3270.miraheze.org/wiki/Main_Page.

VERSION
tcl3270 4.3ga8